package ch.epfl.isochrone.timetable;

import org.junit.Ignore;
import org.junit.Test;

import ch.epfl.isochrone.geo.PointWGS84;
import static org.junit.Assert.assertEquals;

public class TestStop {
    // Le "test" suivant n'en est pas un à proprement parler, raison pour
    // laquelle il est ignoré (annotation @Ignore). Son seul but est de garantir
    // que les noms des classes et méthodes sont corrects.
    @Test
    @Ignore
    public void namesAreOk() {
        Stop s = new Stop("invalid", new PointWGS84(6.57, 46.52));
        s.name();
        s.position();
    }

    @Test
    public void testNameAndPosition() {
        Stop s = new Stop("Stop1", new PointWGS84(1.0, -1.0));
        assertEquals(s.name(), "Stop1");
    }
}
